<?php defined('SYSPATH') OR die('No direct access allowed.');

class Authenticated_Controller extends Controller
{
	protected $_webconfig = true;
	public function __construct()
	{
		$settings_lib_path = "/opt/op5sys/lib/php/op5settings.php";
		if (file_exists($settings_lib_path) && is_readable($settings_lib_path)) {
			require_once($settings_lib_path);
			$this->_webconfig = !(strtoupper(op5settings::inst()->webconfig) === "FALSE");
		}
		parent::__construct();

		if ($this->_webconfig === FALSE) {
			url::redirect('/');
		}

		Auth::init();
		if (!Auth::logged_in()) {
			if(isset($_SERVER)) {
				url::redirect('/?redirect_to='.$_SERVER['REQUEST_URI']);
			}
			url::redirect('/');
		}
	}
}

