<?php defined('SYSPATH') OR die('No direct access allowed.');

class Time_Controller extends OnlyAps_Controller
{
	public function index()
	{
		$model = new Time_Model();
		$template = new View('templates/default');
		$template->title = 'op5 Config :: Time Settings';
		$template->content = new View('time');
		$template->content->servers = $model->servers();
		$template->content->zones = Json::encode($model->zones());
		$template->content->current_zone = $model->current_zone();
		$template->content->utc = $model->utc();
		expires::set(1);
		$template->render(TRUE);
	}

	public function save()
	{
		$status = false;
		$message = 'The settings have been successfully saved.';

		try
		{
			$model = new Time_Model();
			$model->edit(isset($_POST['avail']) ? $_POST['avail'] : array(), $_POST['continent']
				. '/' . $_POST['city'], $_POST['utc'] == 'true');
			$status = true;
		}
		catch (Exception $e)
		{
			$message = $e->getMessage();
		}

		$reply = array('status' => $status, 'message' => $message);
		expires::set(1);
		print Json::encode($reply);
	}
}
