<?php

class Auth
{
	public function init()
	{
		session_set_cookie_params(0, "/", "", true, true);
		session_start();
	}

	public function logged_in()
	{
		return isset($_SESSION['op5config_logged_in']) && $_SESSION['op5config_logged_in'] === true;
	}

	public function check($password)
	{
		try
		{
			$config = new Settings();
			$config->read('login/password', 'verify', 'root ' . $password);
			return true;
		}
		catch (Exception $e)
		{
			return false;
		}
	}

	public function login($password)
	{
		if (self::check($password))
		{
			$_SESSION['op5config_logged_in'] = true;
			return true;
		}
		else
			return false;
	}

	public function logout()
	{
		unset($_SESSION['op5config_logged_in']);
	}
}

?>
