<?php defined('SYSPATH') OR die('No direct access allowed.');

class Email_Model
{
	public function read()
	{
		$config = new Settings();
		return array(
			'hostname' => $config->read('mail', 'settings', 'myhostname'),
			'relayhost' => $config->read('mail', 'settings', 'relayhost'),
			'fallback' => $config->read('mail', 'settings', 'fallback_relay')
		);
	}

	public function edit($hostname, $relayhost, $fallback)
	{
		$config = new Settings();
		$settings = array(
			'hostname' => 'myhostname',
			'relayhost' => 'relayhost',
			'fallback' => 'fallback_relay'
		);

		foreach ($settings as $arg => $setting)
			if (!is_null($$arg))
				$config->edit('mail', 'set', $setting, $$arg);

		$config->apply('mail');
	}

	public function test($email)
	{
		$config = new Settings();
		$config->edit('mail', 'test', $email);
	}
}
