<?php defined('SYSPATH') OR die('No direct access allowed.');

class Password_Model
{
	private $config;

	public function __construct()
	{
		$this->config = new Settings();
	}

	public function verify($username, $pass_base64)
	{
		try
		{
			$this->config->read('login/password', 'verify', $username . ' ' . $pass_base64);
			return true;
		}
		catch (Exception $e)
		{
			return false;
		}
	}

	public function set($username, $pass_base64)
	{
		$this->config->edit('login/password', 'set', $username, $pass_base64);
	}
}
