<?php defined('SYSPATH') OR die('No direct access allowed.');

class Update_Model
{
	private $config;

	public function __construct()
	{
		$this->config = new Settings();
	}

	public function autoupdate()
	{
		return ($this->config->read('packages', 'autoupdate') == 'yes');
	}

	public function packages()
	{
		return explode("\n", $this->config->read('packages', 'list-updates'));
	}

	// $autoupdate must be 'on' or 'off'
	public function edit($autoupdate)
	{
		$this->config->edit('packages', 'autoupdate', $autoupdate);
	}

	public function update($packages)
	{
		$this->config->edit('packages', 'update', implode(' ', $packages));
	}
}
