<?php defined('SYSPATH') OR die('No direct access allowed.'); ?>

<script type="text/javascript">
$(document).ready(function(){
	$.blockUI.defaults.message = null;
	$.blockUI.defaults.overlayCSS = {cursor: 'wait'};
	$(document).ajaxStart($.blockUI).ajaxStop($.unblockUI);
	$('#my_form').ajaxForm({
		dataType: 'json',
		beforeSubmit: function(){
			$('#message td').html('Cleaning up SMS pool...');
			$('#message').attr('class', 'progress');
			$('#my_form input, #my_form select').blur();
		},
		success: function(response){
			$('#message td').text(response.message);
			$('#message').attr('class', response.status ? 'ok' : 'error');
		}
	});
	$('#my_form input, #my_form select').focus(function(){
		$('#message td').html('&nbsp;');
		$('#message').removeAttr('class');
	});
});
</script>
<form method="post" id="my_form" action="/op5config/miscellaneous/cleanupsms">
	<div id="content">
		<h1>Miscellaneous</h1>
		<p>Actions that don't fit in another category can be performed here.</p>
		<table summary="Miscellaneous maintainance actions">
			<colgroup>
				<col class="td_column_name" />
				<col class="auto" />
			</colgroup>
			<tr id="message">
				<td colspan="2">&nbsp;</td>
			</tr>
			<tr class="dotted-bottom">
				<td><a href="#" onclick="help('smspool')">[?]</a> <label for="disable">SMS pool</label></td>
				<td><input id="cleanupsms" type="submit" value="Cleanup" tabindex="1" /></td>
			</tr>
		</table>
	</div>
</form>
