<?php

define('OP5_CONFIG_PATH', '/opt/op5sys/etc/portal.cfg');

class op5settings {
	static protected $_instance = NULL;
	static public function inst() {
		if (self::$_instance === NULL) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	protected $_exists = false;
	protected $_data = array();
	protected function _parseConfig() {
		$lines = explode("\n", file_get_contents(OP5_CONFIG_PATH));
		$result;
		foreach($lines as $line) {
			if (empty($line) || (strpos($line, "=") === FALSE)) {
				continue;
			}
			$result[strtok($line, "=")] = substr($line, strpos($line, "=") + 1, strlen($line));
		}
		return $this->_data = $result;
	}
	protected function __construct() {
		$this->_exists = @ file_exists(OP5_CONFIG_PATH) && @ is_readable(OP5_CONFIG_PATH);
		if (FALSE === $this->_exists) {
			return;
		}
		$this->_parseConfig();
	}

	public function isExists() {
		return $this->_exists;
	}
	public function __get($key) {
		if (FALSE === $this->_exists) {
			return FALSE;
		}

		if (FALSE === $this->_data[$key]) {
			return FALSE;
		}

		return $this->_data[$key];
	}
	private function __clone() {}
}