<?php defined('SYSPATH') OR die('No direct access allowed.');

class Miscellaneous_Controller extends OnlyAps_Controller
{
	public function index()
	{
		$template = new View('templates/default');
		$template->title = 'op5 Config :: Miscellaneous';
		$template->content = new View('miscellaneous');
		expires::set(1);
		$template->render(TRUE);
	}

	public function cleanupsms()
	{
		$status = false;
		$message = 'The SMS pool has been cleaned.';

		try
		{
			$model = new Sms_Model();
			$model->cleanup();
			$status = true;
		}
		catch (Exception $e)
		{
			$message = $e->getMessage();
		}

		$reply = array('status' => $status, 'message' => $message);
		expires::set(1);
		print Json::encode($reply);
	}
}
