<?php defined('SYSPATH') OR die('No direct access allowed.');

class Sms_Controller extends OnlyAps_Controller
{
	public function index()
	{
		$model = new Sms_Model();
		$settings = $model->read();

		$template = new View('templates/default');
		$template->title = 'op5 Config :: SMS';
		$template->content = new View('sms');
		$template->content->data = $settings;

		expires::set(1);
		$template->render(TRUE);
	}

	public function save()
	{
		$status = false;
		$message = 'The settings have been successfully saved.';

		try
		{
			$model = new Sms_Model();
			$i = 1;
			$model->killall();
			foreach ($_POST as $key => $value) {
				if (isset($value["modem"])) {
					$model->editModem("GSM$i", $value);
					$i++;
				}
			}
			$status = true;
		}
		catch (Exception $e)
		{
			$message = $e->getMessage();
		}

		$reply = array('status' => $status, 'message' => $message);
		expires::set(1);
		print Json::encode($reply);
	}

	public function test()
	{
		$status = false;
		$message = 'The message has been sent.';

		$phone = isset($_REQUEST['phone'])? $_REQUEST['phone'] : null;

		try
		{
			$model = new Sms_Model();
			$model->test($phone);
			$status = true;
		}
		catch (Exception $e)
		{
			$message = $e->getMessage();
		}

		$reply = array('status' => $status, 'message' => $message);
		expires::set(1);
		print Json::encode($reply);
	}
}
