<?php defined('SYSPATH') OR die('No direct access allowed.');

class Welcome_Controller extends Template_Controller
{
	// Set the name of the template to use
	public $template = 'templates/default';

	public function index()
	{
		Auth::init();
		if (Auth::logged_in()
			|| (isset($_REQUEST['password']) && Auth::login(base64_encode($_REQUEST['password']))))
		{
			if(isset($_POST['redirect_to'])) {
				header("Location: ".$_POST['redirect_to']);
				exit(0);
			}
			$this->template->content = new View('welcome');
			$this->template->title = 'op5 Config :: Welcome';
		}
		else
		{
			$this->template->content = new View('login');
			$this->template->title = 'op5 Config :: Login';
			$this->template->content->message = isset($_REQUEST['password']) ? 'Login failed' : '';
		}
	}

	public function logout()
	{
		Auth::init();
		Auth::logout();
		url::redirect('/');
	}
}
