<?php defined('SYSPATH') OR die('No direct access allowed.');

class op5backup_Core {
	static function get_settings($settings_file = "/etc/op5-backup/main.conf") {
		if (!is_readable($settings_file)) {
			die("Can't access $settings_file");
		}

		$lines = file($settings_file);
		foreach ($lines as $line) {
			if (!preg_match("/^#/", $line)) {
				if (preg_match('/(.*)="(.*)"/', $line, $matches)) {
					$settings[$matches[1]] = $matches[2];
				}
			}
		}
		return $settings;
	}
}
