<?php defined('SYSPATH') OR die('No direct access allowed.');

class Backupnow_Model
{
	private $config;

	public function __construct()
	{
		$this->config = new Settings();
	}

	public function modules()
	{
		$modules = explode("\n", $this->config->read('backup', 'list-modules'));
		unset($modules[array_search('migrate', $modules)]);
		$modules = array_values($modules);
		return (count($modules) && $modules[0] !== '')? $modules : array();
	}

	public function optional_modules()
	{
		$modules = explode("\n", $this->config->read('backup', 'list-optional-modules'));
		return (count($modules) && $modules[0] !== '')? $modules : array();
	}

	public function backup($mode, $filename, $modules=null)
	{
		if (is_array($modules)) {
			$modules = ' -- +' . implode(' +', $modules);
		} else {
			$modules = ' --';
		}
		$this->config->edit('backup', 'backup', $mode, $filename . $modules);
	}
}
