<?php defined('SYSPATH') OR die('No direct access allowed.'); ?>
<script type="text/javascript">



function check_form() {
	var result = true;
	$("input[type=file]").each(function() {
		if ($(this).hasClass("required") && $(this).hasClass("not-selected")) {
			result = false;
			$(this).addClass("error");
		}
	});
	if (!result) {
		$("#message").addClass("error").find("td").html("Unacceptable data entered, please specify valid values.");
	}
	return result;
}

$(function() {
	helper.helptexts.mngssl = "Select ssl certificate file";
	$("input[type=file]").bind("change", function() {
		$(this).removeClass("error");
		$("#message").removeClass("error").find("td").html("&nbsp");
		$(this)[($(this).hasClass("not-selected") ? "removeClass" : "addClass")]("not-selected");
	});
	$("input[type=reset]").bind("click", function() {

		$("input[type=file]").addClass("not-selected").removeClass("error");
		$("#message").removeClass("error").find("td").html("&nbsp");
	});
	
	if("<?php echo $show_confirm;?>" == "yes")
	{
		if (confirm("Would you like to restart HTTP server?")) {
			$.ajax({ url: "/op5config/mngssl/restart" });
		}
	}
	
	
});

</script>
<form method="POST" onsubmit="return check_form();" action="/op5config/mngssl/save" enctype="multipart/form-data" method="post">
	<div id="content">
		<h1>SSL certificate</h1>
		<p>Upload SSL certificate.</a></p>
		<table >
			<colgroup>
				<col class="td_column_name" />
				<col class="auto" />
			</colgroup>

			<tbody>
				<tr id="message" <?php if ($result !== NULL) { print 'class="'; print ($result=='success') ? 'ok"' : 'error"'; }?>>
					<td colspan="2"><?php if ($result !== NULL) { print ($result=='success') ? 'Configuration have been successfully saved.' : $message; } else { print "&nbsp;"; }?></td>
				</tr>
				<tr>
					<td><a href="#" onclick="help('mngssl-cert')">[?]</a> <label for="ssl-certificate">SSL certificate file</label></td>
					<td><input type="file" name="cert" id="ssl-certificate" class="ssl-certificate required not-selected"/></td>
				</tr>
				<tr>
					<td><a href="#" onclick="help('mngssl-key')">[?]</a> <label for="ssl-key">SSL key file</label></td>
					<td><input type="file" name="key" id="ssl-key" class="ssl-key required not-selected"/></td>
				</tr>
				<tr>
					<td><a href="#" onclick="help('mngssl-ca-bundle')">[?]</a> <label for="ssl-ca-bundle">SSL ca-bundle</label></td>
					<td><input type="file" name="ca-bundle" id="ssl-ca-bundle" class="ssl-ca-bundle not-selected"/><small>optional</small></td>
				</tr>
				<tr class="dotted-top">
					<td>&nbsp;</td>
					<td>
						<input type="submit" value="Upload" />
						<input type="reset" value="Reset" class="grey"/>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
</form>
