<?php defined('SYSPATH') OR die('No direct access allowed.'); ?>

<script type="text/javascript">
$(document).ready(function(){
	$.blockUI.defaults.message = null;
	$.blockUI.defaults.overlayCSS = {cursor: 'wait'};
	$(document).ajaxStart($.blockUI).ajaxStop($.unblockUI);
	$('#content a').live('click', function(){
		var line = $(this).closest('tr');
		var service = line.find('span').text();
		var action = $(this).text();
		$.getJSON('/op5config/services/toggle',
			{'service': service, 'action': action},
			function(data, textStatus){
				$('#message td').text(data.message);
				$('#message').attr('class', data.status ? 'ok' : 'error');
				if (data.status)
				{
					if (action == 'stop')
					{
						line.children().eq(1).html('<em style="color:red;">stopped</em>');
						line.children().eq(2).html('<a href="#">start</a>');
					}
					else
					{
						line.children().eq(1).html('<em>running</em>');
						line.children().eq(2).html('<a href="#">restart</a> | <a href="#">stop</a>');
					}
				}
		});
		return false;
	});
	$('#content td').mousedown(function(){
		$('#message td').html('&nbsp;');
		$('#message').removeAttr('class');
	});
});
</script>
<div id="content">
	<h1>Services</h1>
	<p>Start, stop and restart services here.</p>
	<table summary="Manage services">
		<colgroup>
			<col class="td_column_name" />
			<col style="width: 385px" />
			<col class="auto" />
		</colgroup>
		<tr id="message">
			<td colspan="3">&nbsp;</td>
		</tr>
		<?php foreach ($services as $name => $state) { ?>
		<tr class="dotted-top">
			<td style="white-space:nowrap"><span><?php echo $name; ?></span></td>
			<td><?php echo ($state)? '<em>running</em>' : '<em style="color:red;">stopped</em>'; ?></td>
			<td><?php if ($state) { ?><a href="#">restart</a> | <a href="#">stop</a><?php
				} else { ?><a href="#">start</a><?php } ?></td>
		</tr>
		<?php } ?>
		<tr class="dotted-top">
			<td colspan="3"><hr style="border-top: 1px dotted #cccccc; background-color;#ffffff; margin-top: -6px"/>&nbsp;</td>
		</tr>
	</table>
</div>
