<?php defined('SYSPATH') OR die('No direct access allowed.'); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="cache-control" content="no-cache" />
	<title>ITRS OP5 Monitor Portal</title>
	<?php
	echo html::stylesheet(array(
		'css/common.css',
		'css/ids.css',
		'css/classes.css'
	));
	echo html::script(array(
		'js/load_css.js',
		'js/help.js',
		'js/help_texts.js',
		'js/jquery.js',
		'js/jquery.form.js',
		'js/jquery.json.js',
		'js/jquery.blockui.js'
	));
	echo html::link('images/favicon.ico', 'icon', 'image/ico');
	?>
</head>

<body>
	<div id="help"></div>
	<div id="container">
		<div id="top-menu">
			<ul>
				<li><a href="/">Start</a></li>
				<li><a href="/op5config" class="selected">Configure System</a></li>
				<li><a href="/about.php">About</a></li>
				<li><a href="http://www.op5.com/support/">Support</a></li>
				<li><a href="#" onclick="window.open('http://www.op5.com')">op5.com</a></li>
			</ul>
		</div>

		<div id="navbar">
		<?php if (Auth::logged_in()): ?>
		<p style="float: right; width: 50px;"><a href="/op5config/welcome/logout" style="text-decoration: underline;">Logout</a></p>
		<?php endif;
		include '/var/www/html/updates_bar.php';
		?>
		</div>

		<?php echo $content; ?>

		<div id="left-menu">
			<ul>
			<?php
			$menu = menu::items();
			foreach ($menu as $section => $items): ?>
				<li><strong><?php echo $section; ?></strong>
					<ul>
					<?php
					foreach ($menu[$section] as $label => $url)
						echo '<li><a href="' . $url . '"'
							. ($url == array_pop(explode('/', url::current())) ? ' class="selected"' : '')
							. 'onclick="$.blockUI.defaults.message = null; $.blockUI.defaults.overlayCSS = {cursor: \'wait\'}; $.blockUI();">' . $label . '</a></li>';
					?>
					</ul>
				</li>
			<?php endforeach; ?>
			</ul>
		</div>

	</div>
</body>
</html>
