var helper = new helpClass();
var helpDivName = 'help';

function helpClass()
{
	this.helptexts = new Object();

	this.helptexts['password'] = 'Enter root\'s password here.';

	this.helptexts['ntp'] = 'Network Time Protocol server.<br />Server to sync time from.';
	this.helptexts['continent'] = 'Select region.';
	this.helptexts['city'] = 'Select area or city somewhere near your location.';
	this.helptexts['utc'] = 'Hardware clock uses UTC or local time.';

	this.helptexts['hostname'] = 'Enter the Fully Qualified Domain Name.<br />Example: op5-system.company.com';
	this.helptexts['relayhost'] = 'If you want to relay all your mail to an internal mailserver, enter your prefered relayhost here. Tip: this could be your primary internal mailserver.';
	this.helptexts['fallback'] = 'Secondary relay host, if the primary is not working all mail will be relayed to this one.';
	this.helptexts['test_email'] = 'The email address to send the test message to.';

	this.helptexts['pin'] = 'PIN code for SIM card in SMS modem.';
	this.helptexts['modem_type'] = 'Select your modem type.';
	this.helptexts['baudrate'] = 'Select the speed of your modem. Consult the modem documentation for this value.';
	this.helptexts['test_sms'] = 'The phone number to send the test message to. No leading zeroes in country number or start of phone number, or +:es, example normal (00)46 0705 123456 number would translate to: 46705123456';

	this.helptexts['transfer'] = 'Select how to transfer your backup, by FTP, SFTP or to local disk.';
	this.helptexts['storagepath'] = 'Path where backups are stored.<br />Note: this should be an absolute path.';
	this.helptexts['server'] = 'FTP or SFTP server to put backups on.';
	this.helptexts['serverpath'] = 'Path to storage area.<br /><br /><strong>Note FTP:</strong> this should be a path relative to the user\'s "home directory" on the FTP server, without the leading slash (/)<br /><br /><strong>Note SFTP:</strong> this could be either an aboslute path in the remote file system or a path relative to the user\'s "home directory" the same way as for FTP.';
	this.helptexts['ftp_user'] = 'Remote username.';
	this.helptexts['ftp_pass'] = 'Remote password.';
	this.helptexts['datedirs'] = 'Put backups for different dates in separate directories.';
	this.helptexts['frequency'] = 'Select the frequency of automatic backups.';
	this.helptexts['backup_time'] = 'Select time of day the automatic backup to happen.';

	this.helptexts['dns'] = 'Enter the hostname and DNS servers for your system.';
	this.helptexts['eth'] = 'Configure your ethernet interface with static address, DHCP or as a bond slave.';
	this.helptexts['bond'] = 'Configure your bond interface with static address or DHCP.';
	this.helptexts['gateway'] = 'Default gateway or default route.';
	this.helptexts['netmask'] = 'Subnetmask for the network.';
	this.helptexts['ip'] = 'IP Address of the interface.';
	this.helptexts['dhcp'] = 'op5 System comes preconfigured with DHCP, its recommended that you configure a static IP address on your production server.';
	this.helptexts['master'] = 'Select a master bond interface.';

	this.helptexts['autoupdates'] = 'Select whether the system should be updated automatically every night.';
	this.helptexts['updates'] = 'Select packages you want to update.<br />Hold left mouse button or Shift key to select multiple packages, hold Ctrl key when clicking on a package to (de)select it. Dependencies will be resolved automatically.';

	this.helptexts['backup_type'] = 'Default type is suitable for restoring on the same machine.<br />Change arch type is suitable for upgrading the server\'s hardware to a new architecture.';
	this.helptexts['backup_modules'] = 'Select products or system components to backup.';
	this.helptexts['backup_filename'] = 'Select the backup filename.';

	this.helptexts['current_password'] = 'Type your current password here';
	this.helptexts['new_password'] = 'Type your new password here. ';

	this.helptexts['monitor'] = 'op5 Monitor.';
	this.helptexts['logserver-load-daemon'] = 'Part of op5 LogServer.';
	this.helptexts['logserver-rotate-daemon'] = 'Part of op5 LogServer.';
	this.helptexts['logserver-query-daemon'] = 'Part of op5 LogServer.';
	this.helptexts['httpd'] = 'Web server.';
	this.helptexts['mysqld'] = 'Database.';
	this.helptexts['smsd'] = 'SMS notifications.';
	this.helptexts['postfix'] = 'Mail notifications.';
	this.helptexts['cron'] = 'Task scheduling.';
	this.helptexts['syslog-ng'] = 'System log.';
	this.helptexts['ntpd'] = 'Time synchronization.';

	this.helptexts['smspool'] = 'Cleanup SMS pool to get rid of failed SMS warnings.';
}
